org.apache.commons.math.linear

## Class NonSquareMatrixException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math.MathRuntimeException
        - - org.apache.commons.math.linear.InvalidMatrixException
          - - org.apache.commons.math.linear.NonSquareMatrixException

- All Implemented Interfaces:
    Serializable, MathThrowable

      public class NonSquareMatrixException
      extends InvalidMatrixException

  Thrown when an operation defined only for square matrices is applied to non-square ones.
  Since:
    2.0
  Version:
    $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSquareMatrixException(int rows, int columns)` Construct an exception with the given message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math.MathRuntimeException

      `createArithmeticException, createArithmeticException, createArrayIndexOutOfBoundsException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createConcurrentModificationException, createEOFException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNoSuchElementException, createNullPointerException, createNullPointerException, createParseException, createParseException, createUnsupportedOperationException, getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NonSquareMatrixException

          public NonSquareMatrixException(int rows,
                                  int columns)

      Construct an exception with the given message.
      Parameters:
        `rows` - number of rows of the faulty matrix
        `columns` - number of columns of the faulty matrix

Copyright (c) 2003-2013 Apache Software Foundation